package com.heyu.api.data.entity.calca;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*定时任务
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("schedule_job")
public class ScheduleJobEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.calca.ScheduleJobEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String job_id = CLASS_NAME + "job_id";                      // 任务id
    public final static String create_time = CLASS_NAME + "create_time";            // 创建时间
    public final static String bean_name = CLASS_NAME + "bean_name";                // spring bean名称
    public final static String method_name = CLASS_NAME + "method_name";            // 方法名
    public final static String params_ = CLASS_NAME + "params";                     // 参数
    public final static String cron_expression = CLASS_NAME + "cron_expression";    // cron表达式
    public final static String status_ = CLASS_NAME + "status";                     // 任务状态  0：正常  1：暂停
    public final static String remark_ = CLASS_NAME + "remark";                     // 备注
    public final static String test_params = CLASS_NAME + "test_params";            // 测试用户测试条件
    public final static String is_delete = CLASS_NAME + "is_delete";                // 是否删除
    public final static String modify_time = CLASS_NAME + "modify_time";            // 修改时间
    public final static String id_ = CLASS_NAME + "id";                             // 时间
    //任务id
    @TableId(value = "job_id", type = IdType.AUTO)
    private Long jobId;
    //创建时间
    private Date createTime;
    //spring bean名称
    private String beanName;
    //方法名
    private String methodName;
    //参数
    private String params;
    //cron表达式
    private String cronExpression;
    //任务状态  0：正常  1：暂停
    private Integer status;
    //备注
    private String remark;
    //测试用户测试条件
    private String testParams;
    //是否删除
    private Integer isDelete;
    //修改时间
    private Date modifyTime;
    //时间
    private Integer id;
    /**
     * 任务id 
     * @return
     */
    public Long getJobId() {
        return jobId;
    }
    /**
     * 任务id 
     * @param jobId
     */
    public void setJobId(Long jobId) {
        this.jobId = jobId;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * spring bean名称 
     * @return
     */
    public String getBeanName() {
        return beanName;
    }
    /**
     * spring bean名称 
     * @param beanName
     */
    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

    /**
     * 方法名 
     * @return
     */
    public String getMethodName() {
        return methodName;
    }
    /**
     * 方法名 
     * @param methodName
     */
    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    /**
     * 参数 
     * @return
     */
    public String getParams() {
        return params;
    }
    /**
     * 参数 
     * @param params
     */
    public void setParams(String params) {
        this.params = params;
    }

    /**
     * cron表达式 
     * @return
     */
    public String getCronExpression() {
        return cronExpression;
    }
    /**
     * cron表达式 
     * @param cronExpression
     */
    public void setCronExpression(String cronExpression) {
        this.cronExpression = cronExpression;
    }

    /**
     * 任务状态  0：正常  1：暂停 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 任务状态  0：正常  1：暂停 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 测试用户测试条件 
     * @return
     */
    public String getTestParams() {
        return testParams;
    }
    /**
     * 测试用户测试条件 
     * @param testParams
     */
    public void setTestParams(String testParams) {
        this.testParams = testParams;
    }

    /**
     * 是否删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 时间 
     * @return
     */
    public Integer getId() {
        return id;
    }
    /**
     * 时间 
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "ScheduleJobEntity{" +
                ",jobId=" + jobId +
                ",createTime=" + createTime +
                ",beanName=" + beanName +
                ",methodName=" + methodName +
                ",params=" + params +
                ",cronExpression=" + cronExpression +
                ",status=" + status +
                ",remark=" + remark +
                ",testParams=" + testParams +
                ",isDelete=" + isDelete +
                ",modifyTime=" + modifyTime +
                ",id=" + id +
                "}";
    }
}